package com.yeejoin.amos.boot.module.common.api.service;

import java.util.List;

import com.yeejoin.amos.boot.module.common.api.dto.KeySiteDto;
import com.yeejoin.amos.boot.module.common.api.dto.KeySiteExcleDto;
import com.yeejoin.amos.boot.module.common.api.dto.OrgUsrTreeDto;
import com.yeejoin.amos.boot.module.common.api.entity.KeySite;

/**
 * 重点部位接口类
 *
 * @author system_generator
 * @date 2021-07-26
 */
public interface IKeySiteService {
/**
 * 根据主键做逻辑假删除
 * @param id
 * @return
 */
	public boolean  deletebyId(Long id);
/**
 * 保存
 * @param model
 * @return
 */
public KeySiteDto save(KeySiteDto model);
/**
 * 修改
 * @param keySite
 * @return
 */
public boolean update (KeySite keySite);
/**
 * 获取机场单位组织结构树，包含单位下部门数量的统计
 * @return
 */
public  List<OrgUsrTreeDto> getOrguserTree();
/**
 * 
 * @return
 */
public List<KeySiteDto> queryForKeySiteList() ;
/**根据id查找
 * 
 * @param sequenceNbr
 * @return
 */
public KeySiteDto getSequenceNbr(Long sequenceNbr);

public List<KeySiteExcleDto> exportToExcel();

public boolean  saveExcle(List<KeySiteExcleDto> excelDtoList);
}
